/***********************************************************
 * This software is part of the ProM package * http://www.processmining.org/ * *
 * Copyright (c) 2003-2008 TU/e Eindhoven * and is licensed under the * LGPL
 * License, Version 1.0 * by Eindhoven University of Technology * Department of
 * Information Systems * http://www.processmining.org * *
 ***********************************************************/
package org.processmining.plugins.etconformance;

/**
 * Exception of the ETConformance plug-in.
 * 
 * ETConformance was developed by Jorge Munoz-Gama and Josep Carmona from
 * "BarcelonaTech - Universitat Politecnica de Catalunya (UPC)".
 * 
 * @author Jorge Munoz-Gama (jmunoz)
 */
public class ETCException extends Exception {

	/** Generic */
	public static final String NOT_INDETIFIED_TXT = "NOT IDENTIFED ERROR-> An non " +
			"identified error has occured.";
	/** Fitness */
	public static final String FITNESS_TXT = "NO FITNESS-> The net must " +
			"cover the log.";
	/** Determinism */
	public static final String DETERMINISM_TXT = "NO DETERMINISM-> The traces" +
			" must be replayable in a deterministic way.";
	/** Multiple tasks for the same transition */
	public static final String MULTIPLE_TASKS_TXT = "MULTIPLE TASKS-> Multiple" +
			" tasks associated with the same transition.";
	
	/**	Serial version UID */
	private static final long serialVersionUID = 1L;
	
	public ETCException(String txt){
		super(txt);
	}

}

